MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000686XdebugFeature/Change requestpublic2011-04-29 16:352015-06-14 00:43
Reporternnmatveev 
Assigned Toderick 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.1.0 
Target VersionFixed in Version2.3.3 
Summary0000686: Not possible to inspect SplObjectStorage instances with Xdebug
DescriptionXdebug doesn't send children of SplObjectStorage instances.
Steps To Reproduce<?php
$object1 = new stdClass();
$object1->someProperty = "o1";

$object2 = new stdClass();
$object2->someProperty = "o2";

$storage = new SplObjectStorage();
$storage->attach($object1);
$storage->attach($object2);

var_dump($storage);//breakpoint here


----from xdebug.log(stop at breakpoint)
<- context_get -i 10 -d 0 -c 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" [^] command="context_get" transaction_id="10" context="0"><property name="object1" fullname="$object1" address="40162368" type="object" classname="stdClass" children="1" numchildren="1"></property><property name="object2" fullname="$object2" address="40169216" type="object" classname="stdClass" children="1" numchildren="1"></property><property name="storage" fullname="$storage" address="40169480" type="object" classname="SplObjectStorage" children="0" numchildren="0"></property></response>
Additional Informationhttp://youtrack.jetbrains.net/issue/WI-5268 [^]
TagsNo tags attached.
Operating System
PHP Version5.3.6
Attached Fileslog file icon xdebug.log [^] (5,371 bytes) 2011-04-29 16:35

- Relationships
has duplicate 0000864closedderick No Attributes are shown if an Object extends ArrayIterator 

-  Notes
(0001732)
derick (administrator)
2011-04-30 21:42

Hmm, this is because objects of the class SplObjectStorage are not user land PHP objects but special super duper internal ones. A similar situation will happen with many other internal PHP classes. I'll have a look at this, but marking this as a feature request.
(0001737)
nnmatveev (reporter)
2011-05-01 23:16

Thanks!
(0001852)
nnmatveev (reporter)
2011-11-01 17:52

The same for the 'DOMElement' class. See http://youtrack.jetbrains.net/issue/WI-8160 [^]
(0001883)
nnmatveev (reporter)
2011-12-16 13:50

The same for the 'mysqli' class. See http://youtrack.jetbrains.net/issue/WI-8096 [^]
(0001885)
derick (administrator)
2011-12-16 13:55

It will be for almost all internal PHP classes, so no need to mention it for each of them.
(0001890)
nnmatveev (reporter)
2011-12-19 05:09

OK
(0003038)
mfettig (reporter)
2015-03-05 16:38

Has any progress been made towards this request? I'm currently encountering the same behavior using PHP 5.6.6 and Xdebug 2.3.1 and it would be extremely helpful to be able to debug internal PHP classes
(0003059)
maab (reporter)
2015-04-09 11:45

+1
(0003087)
uresu (reporter)
2015-05-22 14:51

Hi Derick, I can see this one is really old. Is it possible/do you plan to do anything? Can I help at all?
(0003116)
derick (administrator)
2015-06-14 00:43

Fixed for Xdebug 2.3.3 and 3.0dev

- Issue History
Date Modified Username Field Change
2011-04-29 16:35 nnmatveev New Issue
2011-04-29 16:35 nnmatveev File Added: xdebug.log
2011-04-30 21:42 derick Note Added: 0001732
2011-04-30 21:42 derick Category Usage problems => Feature/Change request
2011-05-01 23:16 nnmatveev Note Added: 0001737
2011-11-01 17:52 nnmatveev Note Added: 0001852
2011-12-16 13:50 nnmatveev Note Added: 0001883
2011-12-16 13:55 derick Note Added: 0001885
2011-12-19 05:09 nnmatveev Note Added: 0001890
2014-02-27 19:38 derick Relationship added has duplicate 0000864
2015-03-05 16:38 mfettig Note Added: 0003038
2015-04-09 11:45 maab Note Added: 0003059
2015-05-22 14:51 uresu Note Added: 0003087
2015-06-14 00:43 derick Note Added: 0003116
2015-06-14 00:43 derick Status new => closed
2015-06-14 00:43 derick Assigned To => derick
2015-06-14 00:43 derick Resolution open => fixed
2015-06-14 00:43 derick Fixed in Version => 2.3.3


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker